Legacy (v0)
Get an order's fraud check details
Returns the fraud screening details stored on an order at checkout, the screening provider’s current record for the order fetched live, and the order’s processing state. live is null when the order was not screened or screening is not configured for the company. Requires a Bearer token with the orders view permission. Returns 404 when the order does not belong to the caller’s company.
GET
/
api
/
orders
/
{id}
/
fraud_check_details
Get an order's fraud check details
curl --request GET \
--url https://api.fluid.app/api/orders/{id}/fraud_check_details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/orders/{id}/fraud_check_details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/orders/{id}/fraud_check_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/orders/{id}/fraud_check_details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/orders/{id}/fraud_check_details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/orders/{id}/fraud_check_details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/orders/{id}/fraud_check_details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fraud_check_details": {
"stored": {
"service": "kount",
"kount_order_id": "7QK2M4ZP9RXT",
"session_id": "4b1d8e3f9a2c47e6b0d5c8a1f3e7b2d9",
"pre_auth": {
"decision": "REVIEW",
"risk_score": 62,
"transaction_id": "9XH3N6TB2QWL",
"device_id": "d8f2a61c4e7b49309c5a1b2e6f8d3c70",
"evaluated_at": "2026-09-14T15:40:49Z"
}
},
"live": null,
"order_status": "pending_review"
},
"meta": {
"request_id": "9a3f6c21-4e8b-4d07-b5a2-1c7e9d0f3b68",
"timestamp": "2026-09-14T16:12:30Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
Get an order's fraud check details
curl --request GET \
--url https://api.fluid.app/api/orders/{id}/fraud_check_details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/orders/{id}/fraud_check_details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/orders/{id}/fraud_check_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/orders/{id}/fraud_check_details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/orders/{id}/fraud_check_details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/orders/{id}/fraud_check_details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/orders/{id}/fraud_check_details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fraud_check_details": {
"stored": {
"service": "kount",
"kount_order_id": "7QK2M4ZP9RXT",
"session_id": "4b1d8e3f9a2c47e6b0d5c8a1f3e7b2d9",
"pre_auth": {
"decision": "REVIEW",
"risk_score": 62,
"transaction_id": "9XH3N6TB2QWL",
"device_id": "d8f2a61c4e7b49309c5a1b2e6f8d3c70",
"evaluated_at": "2026-09-14T15:40:49Z"
}
},
"live": null,
"order_status": "pending_review"
},
"meta": {
"request_id": "9a3f6c21-4e8b-4d07-b5a2-1c7e9d0f3b68",
"timestamp": "2026-09-14T16:12:30Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}